import greenfoot.*;  // (Actor, World, Greenfoot, GreenfootImage)

public class CrabWorld extends World
{
    /**
     * Create the crab world (the beach). Our world has a size 
     * of 560x560 cells, where every cell is just 1 pixel.
     */
    public CrabWorld() 
    {
        super(560, 560, 1);

        prepare();
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        Crab crab = new Crab();
        addObject(crab, 92, 126);
        Worm worm = new Worm();
        addObject(worm, 352, 359);
        Worm worm2 = new Worm();
        addObject(worm2, 238, 446);
        Worm worm3 = new Worm();
        addObject(worm3, 301, 524);
        Worm worm4 = new Worm();
        addObject(worm4, 450, 499);
        Lobster lobster = new Lobster();
        addObject(lobster, 436, 177);
        Lobster lobster2 = new Lobster();
        addObject(lobster2, 57, 480);
    }
}
